liboro-java_2.0.8a-9_all.deb


Advertisement

Description

liboro-java - Regular expression library for Java

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liboro-java
Package version: 2.0.8a
Package release: 9
Package architecture: all
Package type: deb
Installed size: 129 B
Download size: 68.51 KB
Official Mirror: ftp.br.debian.org
The Jakarta-ORO Java classes are a set of text-processing Java classes that provide Perl5 compatible regular expressions, AWK-like regular expressions, glob expressions, and utility classes for performing substitutions, splits, filtering filenames, etc. ORO is faster and more functional than gnu.regexp.

Alternatives

    Download

    Source package: liboro-java

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liboro-java deb package:
      # sudo apt-get install liboro-java

    Files

    • /usr/share/doc/liboro-java/README
    • /usr/share/doc/liboro-java/README.Debian
    • /usr/share/doc/liboro-java/TODO
    • /usr/share/doc/liboro-java/changelog.Debian.gz
    • /usr/share/doc/liboro-java/changelog.gz
    • /usr/share/doc/liboro-java/copyright
    • /usr/share/java/oro-2.0.8.jar
    • /usr/share/java/oro.jar
    • /usr/share/maven-repo/oro/oro/2.0.8/oro-2.0.8.jar
    • /usr/share/maven-repo/oro/oro/2.0.8/oro-2.0.8.pom
    • /usr/share/maven-repo/oro/oro/debian/oro-debian.jar
    • /usr/share/maven-repo/oro/oro/debian/oro-debian.pom

    Changelog

    2013-03-29 - Emmanuel Bourg <ebourg@apache.org> liboro-java (2.0.8a-9) unstable; urgency=low * Team upload. * d/watch: Changed the URL to point to the Apache archive * Updated Standards-Version to 3.9.4 * Removed Michael Koch from uploaders list (Closes: #654088)

    2011-09-03 - Torsten Werner <twerner@debian.org> liboro-java (2.0.8a-8) unstable; urgency=low * Team upload. * Remove Java runtime from Depends. * Remove Arnaud from Uploaders list. * Update Standards-Version: 3.9.1.

    2010-02-20 - Niels Thykier <niels@thykier.net> liboro-java (2.0.8a-7) unstable; urgency=low [ Michael Koch ] * Updated Standards-Version to 3.8.4. [ Niels Thykier ] * Added myself to Uploaders. * Merged B-D-I and B-D; it does not make sense to have both when all packages are arch all. * Downgraded java source and target version from 1.4 to 1.3 and 1.2 respectively. * Updated depedencies on java-runtimes to fit the built class version. * Made patch quilt-compatible and added a short description. * Bumped debhelper compat to 7. * Added OSGi metadata. * Converted source format to 3.0 (quilt). * Modified the -doc synopsis to clarify it is a documentation package. * Added Homepage and Vcs-* fields.

    2009-08-09 - Torsten Werner <twerner@debian.org> liboro-java (2.0.8a-6) unstable; urgency=low * Upload to unstable.

    2009-05-03 - Ludovic Claude <ludovic.claude@laposte.net> liboro-java (2.0.8a-5) experimental; urgency=low [Ludovic Claude] * Change section to java, bump up Standards-Version to 3.8.1 * Add the Maven POM to the package, * Add a Build-Depends-Indep dependency on maven-repo-helper * Use mh_installpom and mh_installjar to install the POM and the jar to the Maven repository * Add ${misc:Depends} to Depends to clear Lintian warnings * Put the API documentation in a separate package [Matthias Klose] * (Build-)depend on default-jre/-jdk. * Drop dependency on java-common. * Set java source version to 1.4.

    2007-12-29 - Michael Koch <konqueror@gmx.de> liboro-java (2.0.8a-4) unstable; urgency=low * Updated watch file to match upstream correctly.

    2007-06-19 - Michael Koch <konqueror@gmx.de> liboro-java (2.0.8a-3) unstable; urgency=low * Build-Depend on java-gcj-compat-dev instead of java-gcj-compat. Closes: #429474.

    2007-06-17 - Michael Koch <konqueror@gmx.de> liboro-java (2.0.8a-2) unstable; urgency=low * Use java-gcj-compat instead of kaffe. * Addd java-gcj-compat | java1-runtime | java2-runtime to Depends. * Moved Build-Depends-Indep to Build-Depends. * Updated Standards-Version.

    2006-04-24 - Arnaud Vandyck <avdyk@debian.org> liboro-java (2.0.8a-1) unstable; urgency=low * Removed Takashi Okamoto from the uploaders (closes: Bug#352989). * Removed jikes and gjdoc from the dependencies, modified the debian/rules accordingly. * debian/rules: removed ant-launcher.jar from classpath. * debian/watch: added. * updated the orig tarball (removed generated jar and apidoc).

    2005-09-23 - Arnaud Vandyck <avdyk@debian.org> liboro-java (2.0.8-4) unstable; urgency=low * debian/control: added myself as an uploader * debian/control, debian/rule: ant transition

    Advertisement
    Advertisement